LinuxQMISDK: qaGobiApiSar.h File Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- File List
- Globals

Enumerations | Functions
qaGobiApiSar.h File Reference
Specific Absorption Rate (SAR)

Specific Absorption Rate API function prototypes. More...

Go to the source code of this file.

## Enumerations
enum | eQMISARRFState { QMI_SAR_RF_STATE_DEFAULT = 0, QMI_SAR_RF_STATE_1, QMI_SAR_RF_STATE_2, QMI_SAR_RF_STATE_3, QMI_SAR_RF_STATE_4, QMI_SAR_RF_STATE_5, QMI_SAR_RF_STATE_6, QMI_SAR_RF_STATE_7, QMI_SAR_RF_STATE_8 }

## Functions
ULONG | SLQSGetRfSarState (ULONG *pSarRFState)
ULONG | SLQSSetRfSarState (ULONG RfSarState)

## Detailed Description

Specific Absorption Rate API function prototypes.

Copyright: © 2011 Sierra Wireless, Inc. all rights reserved

## Enumeration Type Documentation

enum eQMISARRFState

This enum contains the SAR RF States

Parameters

  SAR | RF State QMI_SAR_RF_STATE_DEFAULT = 0 QMI_SAR_RF_STATE_1 QMI_SAR_RF_STATE_2 QMI_SAR_RF_STATE_3 QMI_SAR_RF_STATE_4 QMI_SAR_RF_STATE_5 QMI_SAR_RF_STATE_6 QMI_SAR_RF_STATE_7 QMI_SAR_RF_STATE_8

Enumerator
QMI_SAR_RF_STATE_DEFAULT |
QMI_SAR_RF_STATE_1 |
QMI_SAR_RF_STATE_2 |
QMI_SAR_RF_STATE_3 |
QMI_SAR_RF_STATE_4 |
QMI_SAR_RF_STATE_5 |
QMI_SAR_RF_STATE_6 |
QMI_SAR_RF_STATE_7 |
QMI_SAR_RF_STATE_8 |

## Function Documentation

ULONG SLQSGetRfSarState | ( | ULONG * | pSarRFState | ) |

Gets the specified RF SAR state.

Parameters

  pSarRFState | SAR RF State QMI_SAR_RF_STATE_DEFAULT QMI_SAR_RF_STATE_1 QMI_SAR_RF_STATE_2 QMI_SAR_RF_STATE_3 QMI_SAR_RF_STATE_4 QMI_SAR_RF_STATE_5 QMI_SAR_RF_STATE_6 QMI_SAR_RF_STATE_7 QMI_SAR_RF_STATE_8

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG SLQSSetRfSarState | ( | ULONG | RfSarState | ) |

Sets the specified RF SAR state.

Parameters

  sar_rf_state | SAR RF State QMI_SAR_RF_STATE_DEFAULT QMI_SAR_RF_STATE_1 QMI_SAR_RF_STATE_2 QMI_SAR_RF_STATE_3 QMI_SAR_RF_STATE_4 QMI_SAR_RF_STATE_5 QMI_SAR_RF_STATE_6 QMI_SAR_RF_STATE_7 QMI_SAR_RF_STATE_8

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds